> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar oportunidade MEI

> Atualiza os dados de uma oportunidade MEI existente mantendo seu status atual



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json put /api/v1/oportunidades-mei/{id}
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/oportunidades-mei/{id}:
    put:
      tags:
        - oportunidades-mei
      summary: Atualizar oportunidade MEI
      description: >-
        Atualiza os dados de uma oportunidade MEI existente mantendo seu status
        atual
      parameters:
        - description: ID da oportunidade
          name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        $ref: '#/components/requestBodies/models.OportunidadeMEI'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.OportunidadeMEI'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
      security:
        - bearerAuth: []
components:
  requestBodies:
    models.OportunidadeMEI:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/models.OportunidadeMEI'
      description: Dados da oportunidade
      required: true
  schemas:
    models.OportunidadeMEI:
      type: object
      properties:
        bairro:
          type: string
          example: Centro
        cidade:
          type: string
          example: Rio de Janeiro
        cnae_ids:
          type: array
          items:
            type: string
          example:
            - '8130300'
            - '8121400'
        complemento:
          type: string
          example: Próximo ao Paço Imperial
        cover_image:
          description: Imagens
          type: string
          example: https://example.com/imagem.jpg
        created_at:
          type: string
          example: '2024-01-01T10:00:00Z'
        data_expiracao:
          type: string
          example: '2024-12-31T23:59:59Z'
        data_limite_execucao:
          type: string
          example: '2024-12-31T23:59:59Z'
        deleted_at:
          type: string
          example: '2024-12-31T23:59:59Z'
        descricao_servico:
          type: string
          example: Serviço de poda, jardinagem e manutenção das áreas verdes
        estado:
          type: string
          example: RJ
        forma_pagamento:
          description: Pagamento e prazos
          type: string
          enum:
            - CHEQUE
            - DINHEIRO
            - CARTAO
            - PIX
            - TRANSFERENCIA
            - ''
          example: PIX
        gallery_images:
          type: array
          items:
            type: string
          example:
            - https://example.com/img1.jpg
            - https://example.com/img2.jpg
        id:
          type: integer
          example: 1
        logradouro:
          description: Local de execução
          type: string
          example: Praça XV de Novembro
        numero:
          type: string
          example: S/N
        orgao_id:
          description: Relacionamentos
          type: string
          example: SECONSERVA
        outras_informacoes:
          type: string
          example: Trabalho a ser realizado nos finais de semana
        prazo_pagamento:
          type: string
          example: 30 dias após conclusão
        status:
          description: Status e controle
          enum:
            - draft
            - active
            - expired
          allOf:
            - $ref: '#/components/schemas/models.StatusOportunidadeMEI'
          example: active
        titulo:
          type: string
          example: Manutenção de Jardins da Praça XV
        updated_at:
          type: string
          example: '2024-01-01T10:00:00Z'
    models.ErrorResponse:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    models.StatusOportunidadeMEI:
      type: string
      enum:
        - draft
        - active
        - expired
      x-enum-varnames:
        - StatusOportunidadeDraft
        - StatusOportunidadeActive
        - StatusOportunidadeExpired
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````